#if !defined(AFX_TRANSACTIONDLG_H__887C38B8_2535_4557_B7D7_96E5AADB818F__INCLUDED_)
#define AFX_TRANSACTIONDLG_H__887C38B8_2535_4557_B7D7_96E5AADB818F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TransactionDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTransactionDlg dialog
#include "resource.h"
#include <apl_api.h>
#include "aplProjectMgr.h"
#include "afxwin.h"

class CTransactionDlg : public CaplTranslateDialog
{
// Construction
protected:
	CaplProjectManager	*m_pProjectMgr;
	CaplAPI				*m_api;
public:
	CTransactionDlg(CaplProjectManager	*pProjectMgr, CWnd* pParent = NULL);   // standard constructor

	CaplInstance	*m_inst;//транзакция
	CaplInstance	*m_base_inst;//транзакция c которой делается копия
	CaplInstance	*m_project;//проект
	// Dialog Data
	//{{AFX_DATA(CTransactionDlg)
	enum { IDD = IDD_TRANSACTION_DLG };
	CaplButton	m_ok_btn;
	CaplButton	m_cancel_btn;
	CComboBox	m_TypeCtrl;
	COleDateTime	m_Date;
	CString	m_sDescr;
	CString	m_sId;
	CString	m_sName;
	double	m_dSumm;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransactionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	void OnChangeSum(CEdit *ctrl);

	// Generated message map functions
	//{{AFX_MSG(CTransactionDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	void SetRO();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	double m_dNDS;
	CEdit m_nds_ctrl;
	CEdit m_nds_proc_ctrl;
	CEdit m_sum_ctrl;
	afx_msg void OnEnChangeNds();
	afx_msg void OnEnChangeSumm();
//	afx_msg void OnEnSetfocusSumm();
	afx_msg void OnEnKillfocusNds();
	afx_msg void OnEnKillfocusSumm();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSACTIONDLG_H__887C38B8_2535_4557_B7D7_96E5AADB818F__INCLUDED_)
